#! make -f
#----------------------------------------------------------------------------
# Project:  TwlSDK - libraries
# File:     Makefile
#
# Copyright 2007-2008 Nintendo.  All rights reserved.
#
# These coded instructions, statements, and computer programs contain
# proprietary information of Nintendo of America Inc. and/or Nintendo
# Company Ltd., and are protected by Federal copyright law.  They may
# not be disclosed to third parties or copied or duplicated in any form,
# in whole or in part, without the prior written consent of Nintendo.
#
# $Date:: 2008-12-24#$
# $Rev: 9725 $
# $Author: yamazaki_takahiro $
#----------------------------------------------------------------------------
TARGET_PLATFORM	=	TWL NITRO

include	$(TWLSDK_ROOT)/build/buildtools/commondefs

export PARALLEL_BUILD=TRUE

#----------------------------------------------------------------------------

SUBDIRS_P	= 	fx		\
				gx		\
				os		\
				mi		\
				pxi		\
				init	\
				ext		\
				pad		\
				exi		\
				fs		\
				cp		\
				spi		\
				rtc		\
				wm		\
				wbt		\
				wfs		\
				prc		\
				card	\
				mb		\
				math	\
				wvr		\
				snd		\
				std		\
				env		\
				ctrdg	\
				stubs	\


ifeq	($(TWLSDK_PRIVATE),TRUE)
SUBDIRS_P	+= cht
endif

ifeq	($(TWLSDK_HIDDEN),TRUE)
SUBDIRS_P	+= crypto nvram
endif

ifeq	($(TWLSDK_SYSMENU_PRIVATE),TRUE)
SUBDIRS_P	+= ssp
endif	# ifeq	($(TWLSDK_SYSMENU_PRIVATE),TRUE)

ifneq	($(filter TWL,$(TARGET_PLATFORM_LIST)),)
SUBDIRS_P	+= cdc camera i2c scfg mcu dsp el

ifeq	($(TWLSDK_HIDDEN),TRUE)
SUBDIRS_P	+= fatfs aes ese na nam wpa reboot sea

endif

ifeq	($(TWLSDK_SECURE7_PRIVATE),TRUE)
SUBDIRS_P	+= lcfg
endif	# ifeq	($(TWLSDK_SECURE7_PRIVATE),TRUE)

ifeq	($(TWLSDK_TCL_PRIVATE),TRUE)
SUBDIRS_P	+= tcl
endif	# ifeq	($(TWLSDK_TCL_PRIVATE),TRUE)

ifeq	($(TWLSDK_BROWSER_PRIVATE),TRUE)
SUBDIRS_P	+= browser
endif	# ifeq	($(TWLSDK_BROWSER_PRIVATE),TRUE)

endif

#----------------------------------------------------------------------------
export	NITRO_BLXCHECKED = yes

#----------------------------------------------------------------------------

include	$(TWLSDK_ROOT)/build/buildtools/modulerules


#===== End of Makefile =====
